<%#deffilter(friendly, common/friendly.txt, url, subject, where?, region?, city?)%>
<%#eatspace(all)%>
<%($(common.seo.friendly.enabled) == 1 && %url != "")
	$(common.base_url.li)/

	<%(&strpos(%url, "/vi/") != "")
		<%(%city > 0 && $(common.seo.city.friendlyname.<%%region\_%city%>.en) != "")
			$(common.seo.city.friendlyname.<%%region\_%city%>.en)
		::(%region > 0 && $(common.seo.region.friendlyname.%region.en) != "")
			$(common.seo.region.friendlyname.%region.en)
		%>
		/
		/* XXX should filter this list on what can actually be in DB. */
		<%|tr("\x01_\x02_\x03_\x04_\x05_\x06_\x07_\x08_\x09_\x0A_\x0B_\x0C_\x0D_\x0E_\x0F_\x10\x11_\x12_\x13_\x14_\x15_\x16_\x17_\x18_\x19_\x1A_\x1B_\x1C_\x1D_\x1E_\x1F_\x20\x21_\x22_\x23_\x24_\x25_\x26_\x27_\x28_\x29_\x2A_\x2B_\x2C_\x2D_\x2E_\x2F_\x3A_\x3B_\x3C_\x3D_\x3E_\x3F_\x40_\x5B_\x5C_\x5D_\x5E_\x5F_\x60_\x7B_\x7C_\x7D_\x7E_\x7F_"),tr($(common.seo.url_replace.chars))|%subject%>
		_
		&substring(%url, &strpos(%url, "vi/") + 3)
	::
		<%|define_keyval("qs")|&substring(%url, &strpos(%url, "?") + 1)%>
		<%(%where == 3)
			$(common.seo.allcountry.text.en)
		::($(common.seo.region.friendlyname.%qs_ca.en) != "")
			$(common.seo.region.friendlyname.%qs_ca.en)
		::($(common.seo.city.friendlyname.%qs_ca.en) != "")
			$(common.seo.city.friendlyname.%qs_ca.en)
		::
			$(common.seo.region.friendlyname.&(%where - 100).en)
		%>

		<%($(common.seo.cat.friendlyname.%qs_cg.en) != "")
			/$(common.seo.cat.friendlyname.%qs_cg.en)
		%>
		<%($(common.seo.cat.friendlyname.%qs_c.en) != "")
			/$(common.seo.cat.friendlyname.%qs_c.en)
		%>
		&substring(%url, &strpos(%url, "?"))
	%>
::
	%url
%>
